## org.opengis.go.display.event
Interface MouseHandler

All Superinterfaces:
  EventHandler, EventListener, MouseListener, MouseMotionListener

    public interface MouseHandler

extends EventHandler, MouseListener, MouseMotionListener

Defines a common abstraction whose implementations can associate different mouse handlers with a Component to switch mouse handling states easily.

Method Summary

Methods inherited from interface EventHandler
`handlerDisabled, handlerEnabled, handlerRemoved`

Methods inherited from interface MouseListener
`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

Methods inherited from interface MouseMotionListener
`mouseDragged, mouseMoved`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.